#include <iostream.h>
#include <stddef.h>

// struct MenuOpts describes options from the menu 
struct MenuOpts
{
    char               *description;	// description of menu options 
    void                (*function) ();	// function to do option 
};


static int FindMenuSize(struct MenuOpts *menu_p);
static void DisplayMenu(struct MenuOpts *menu_p);

// main performs the test
main(int argc, char *argv[])
{
    int                 menu_size;     	// size of menu 
    int                 choice;	       	// user choice 
    static struct MenuOpts menu[]  	// test menu 
    = {{NULL, NULL}};

    // get size of menu 
    menu_size = FindMenuSize(menu);

    choice = -1;
    while (choice != 0) 
    { 
	// display choices 
	DisplayMenu(menu);

	// get and process choice 
	cin >> choice;
	if (choice < 0 || choice > menu_size + 1)
	    cout << "Invalid option: try again\n";
	else if (choice > 0)
	    (*menu[choice - 1].function) ();
    }
}



// FindMenuSize() returns the number of items on the menu
static int FindMenuSize(struct MenuOpts *menu_p)
{
    int                 size = 0;      // to hold size 

    while (menu_p->description != NULL)
    {
	++menu_p;
	++size;
    }

    return (size);
}



// DisplayMenu() displays the menu to the user
static void DisplayMenu(struct MenuOpts *menu_p)
{
    int                 ctr;	       	// to count options 

    ctr = 1;
    cout << "\t0\tQuit\n";
    for ( /* no initialize */ ; menu_p->description != NULL; menu_p++, ctr++)
    {
	cout << "\t" << ctr << "\t" << menu_p->description << "\n";
    }
    cout << "\nChoose one: ";
}


