//
// Module Name:		cmcAttributeValueType.h
//
// CSCI/CSC/CSU:	CMC/AttributeValueType
//
// Author:		Ken Kolda
//			Logicon ITG
//			2100 Washington Boulevard
//			Arlington, VA 22204
//
// Security:		Unclassified
//
//		RESTRICTED RIGHTS LEGEND
//
// Use, duplication, or disclosure by the Government is subject to
// restrictions as set forth in subdivision (b) (3) (iii) of the Rights
// in Technical Data and Computer Software clause at 52.227-7013.
//
//	Logicon, Inc., 2100 Washington Blvd., Arlington, VA 22204-5703
//
// Description:
//	Enumerate the possible types of AttributeValues.
//
// Maintenance History
// Version	Date	Userid		Description of changes
// =======  =========== ======== ===========================================
//           11/14/95    kolda   Initial version
//

#ifndef _cmcAttributeValueType_h
#define _cmcAttributeValueType_h

#include <iostream.h>		// to allow input/output streams

// Enumerated Attribute Value Types
enum AttributeValueType {STRING, SEQUENCE, COLLECTION_REFERENCE,
	DOCUMENT_REFERENCE, ANNOTATION_REFERENCE, ATTRIBUTE_REFERENCE};


// The following are functions that use this
ostream &operator<<(ostream &, AttributeValueType);
istream &operator>>(istream &, AttributeValueType &);

#endif
