//
//
// Module Name:         cmcDetectionNeed.h
//
// CSCI/CSC/CSU:        CMC/DetectionNeed
//
// Author:		Kenneth Kolda
//			Logicon ITG
//			2100 Washington Boulevard
//			Arlington, VA 22204
//
// Security:		Unclassified
//
//			RESTRICTED RIGHTS LEGEND
//
// Use, duplication, or disclosure by the Government is subject to
// restrictions as set forth in subdivision (b) (3) (iii) of the Rights
// in Technical Data and Computer Software clause at 52.227-7013.
//
//	Logicon, Inc., 2100 Washington Blvd., Arlington, VA 22204-5703
//
// Description:  
//      Provide class definitions for DetectionNeed.
//
//
///////////////////////////////////////////////////////////////////////////////
//
// Maintenance History
// Version     Date      Userid     Description of Changes
//=============================================================================
// 1.0         12/05/95  kolda      Initial version
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _cmcDetectionNeed_h
#define _cmcDetectionNeed_h

class DetectionNeed;			// Incomplete declaration

#include "cmcDocument.h"
#include "cmcSet.h"
#include "cmcDetectionQuery.h"

// DetectionNeed is the Tipster system-independent form of a query
class DetectionNeed : public Document
{
    public:
	// The following are TIPSTER functions
      	DetectionNeed(Collection& NewParent, const char* NewExternalId,
		      const ByteSequence* pNewRawData, 
		      AnnotationSet& NewAnnotations,
		      Set<Attribute>& NewAttributes);
      					// Constructor
	DetectionQuery *QueryGenerator(void);
					// Generates a DetectionQuery from this
					// DetectionNeed
	virtual Document *CopyBare(Collection &NewParent);
					// copy DetectionNeed without attributes
	virtual Document *CopyDocument(Collection &NewParent);
					// copy all elements of DetectionNeed

	// the following are TIPSTER additions
	static const char *ClassLabel;	// The name of this class

	DetectionNeed(const DetectionNeed &Base);
					// copy constructor
	DetectionNeed(const Document &Base);
					// copy from a Document
	DetectionNeed &CastToDetectionNeed(void);
					// downcast function
	const DetectionNeed &CastToDetectionNeed(void) const;
					// downcast function
};

#endif
