//
// Module Name:		cmcDocumentId.h
//
// CSCI/CSC/CSU:	CMC/DocumentId
//
// Author:		Joe Dzikiewicz
//			Logicon ITG
//			2100 Washington Boulevard
//			Arlington, VA 22204
//
// Security:		Unclassified
//
//		RESTRICTED RIGHTS LEGEND
//
// Use, duplication, or disclosure by the Government is subject to
// restrictions as set forth in subdivision (b) (3) (iii) of the Rights
// in Technical Data and Computer Software clause at 52.227-7013.
//
//	Logicon, Inc., 2100 Washington Blvd., Arlington, VA 22204-5703
//
// Description:
//	.h file for DocumentId's.  A DocumentId keeps the ID of a Document,
//	including a breakdown of its various pieces.
//
//
// Maintenance History
// Version	Date	Userid		Description of changes
// =======  =========== ======== ===========================================
//           12/15/95    jd_2	     Initial version
//

#ifndef _cmcDocumentId_h
#define _cmcDocumentId_h

// DocumentId is an ID on a Document.
class DocumentId
{
    private:
	char *IdText;			// text of the Id
	int Volume;			// volume number of this
	int Offset;			// offset of this
	int Time;			// time for this

	void Cleanup(void);		// clean this out

    public:
	DocumentId(int NewVolume, int NewOffset, int NewTime);
					// construct from elements
	DocumentId(const char *NewIdText);	
					// construct from text
	~DocumentId(void);		// destructor
	const char *GetIdText(void) const;	
					// return IdText component
	int GetVolume(void) const;	// return Volume component
	int GetOffset(void) const;	// return Offset component
	int GetTime(void) const;	// return Time component
};


#endif
