//
// Module Name:		cmcLeafIndexEntry.h
//
// CSCI/CSC/CSU:	CMC/LeafIndexEntry
//
// Author:		Joe Dzikiewicz
//			Logicon ITG
//			2100 Washington Boulevard
//			Arlington, VA 22204
//
// Security:		Unclassified
//
//		RESTRICTED RIGHTS LEGEND
//
// Use, duplication, or disclosure by the Government is subject to
// restrictions as set forth in subdivision (b) (3) (iii) of the Rights
// in Technical Data and Computer Software clause at 52.227-7013.
//
//	Logicon, Inc., 2100 Washington Blvd., Arlington, VA 22204-5703
//
// Description:
//	.h for LeafIndexEntry.  A LeafIndexEntry is an entry in a
//	LeafIndexBlock.  As such, it maps a single ID to its volume and
//	offset numbers.
//
// Maintenance History
// Version	Date	Userid		Description of changes
// =======  =========== ======== ===========================================
//           12/15/95    jd_2     Initial version
//

#ifndef _cmcLeafIndexEntry_h
#define _cmcLeafIndexEntry_h

class LeafIndexEntry;                   	// Incomplete Declaration

#include <iostream.h>				// to allow I/O

#include "cmcIndexEntry.h"			// base class of this
#include "cmcLocation.h"			// data found in this

// LeafIndexEntry is a single entry in an LeafIndexBlock
class LeafIndexEntry : public IndexEntry
{
    public:
	LeafIndexEntry(istream &Input);		// construct from input
	LeafIndexEntry(const char *Id, const Location &Data);
						// construct from pieces
	virtual void Write(ostream &Output) const;
						// write to output
	virtual LeafIndexEntry &CastToLeafIndexEntry();
						// downcast to a LeafIndexEntry
	virtual const LeafIndexEntry &CastToLeafIndexEntry() const;
						// downcast to a LeafIndexEntry
};

#endif

