//
// Module Name:		cmcMisc.h
//
// CSCI/CSC/CSU:	CMC/Misc
//
// Author:		Joe Dzikiewicz
//			Logicon ITG
//			2100 Washington Boulevard
//			Arlington, VA 22204
//
// Security:		Unclassified
//
//		RESTRICTED RIGHTS LEGEND
//
// Use, duplication, or disclosure by the Government is subject to
// restrictions as set forth in subdivision (b) (3) (iii) of the Rights
// in Technical Data and Computer Software clause at 52.227-7013.
//
//	Logicon, Inc., 2100 Washington Blvd., Arlington, VA 22204-5703
//
// Description:
//	.h for Misc.  Misc contains some miscellaneous functions used by CMC.
//
// Maintenance History
// Version	Date	Userid		Description of changes
// =======  =========== ======== ===========================================
//           12/15/95    jd_2     Initial version
//

#ifndef _cmcMisc_h
#define _cmcMisc_h

#include <iostream.h>				// to allow I/O

#define DOCUMENT_ID_LENGTH 32			// length of DocumentId

extern const int DocumentIdLength;		// const version of length of 
						//	a DocumentId

void WriteString(const char *, ostream &);	// write string in normal form
char *ReadString(istream &);			// read string in normal form
void Indent(ostream &, int Level);		// indent Level levels

#endif
