//
// Module Name:		cmcSecSurrogate.h
//
// CSCI/CSC/CSU:	CMC/SecSurrogate
//
// Author:		Joe Dzikiewicz
//			Logicon ITG
//			2100 Washington Boulevard
//			Arlington, VA 22204
//
// Security:		Unclassified
//
//		RESTRICTED RIGHTS LEGEND
//
// Use, duplication, or disclosure by the Government is subject to
// restrictions as set forth in subdivision (b) (3) (iii) of the Rights
// in Technical Data and Computer Software clause at 52.227-7013.
//
//	Logicon, Inc., 2100 Washington Blvd., Arlington, VA 22204-5703
//
// Description:
//	Declaration for SecSurrogate.  A SecSurrogate is a surrogate
//	object for a SEC C entry, used as part of the C binding to allow
//	sets of SEC C objects.
//
// Maintenance History
// Version	Date	Userid		Description of changes
// =======  =========== ======== ===========================================
//           1/3/96      jd_2     Initial version
//

#ifndef _cmcSecSurrogate_h
#define _cmcSecSurrogate_h

#include "cmcDocMgrObject.h"		// base class for this

// A SecSurrogate is a wrapper around a SEC C object
class SecSurrogate : public DocumentManagerObject
{
    private:
	void *pData;			// the data this is surrogate to

    public:
	static const char *ClassLabel;	// label for this class

	SecSurrogate(void *pNewData);	// constructor
	~SecSurrogate(void);		// destructor
	const void *GetData(void) const;// get the pData component
	void *ExtractData(void);	// extract the pData component
	const char *GetClass(void) const;
					// get the class of this
};


#endif
